Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1417814 - [abrt] ibus: XkbUseExtension(): ibus-ui-gtk3 killed by SIGSEGV
Summary: [abrt] ibus: XkbUseExtension(): ibus-ui-gtk3 killed by SIGSEGV
Keywords:
Status: CLOSED DUPLICATE of bug 1446816
Alias: None
Product: Fedora
Classification: Fedora
Component: ibus
Version: 25
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: fujiwara
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:6cf3031918c31db8b2022a629fb...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-31 07:23 UTC by Mike FABIAN
Modified: 2019-09-25 04:56 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-08-17 03:21:45 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (48.06 KB, text/plain)
2017-01-31 07:23 UTC, Mike FABIAN
no flags Details
File: cgroup (242 bytes, text/plain)
2017-01-31 07:23 UTC, Mike FABIAN
no flags Details
File: core_backtrace (4.72 KB, text/plain)
2017-01-31 07:23 UTC, Mike FABIAN
no flags Details
File: dso_list (7.94 KB, text/plain)
2017-01-31 07:23 UTC, Mike FABIAN
no flags Details
File: environ (2.62 KB, text/plain)
2017-01-31 07:23 UTC, Mike FABIAN
no flags Details
File: exploitable (82 bytes, text/plain)
2017-01-31 07:23 UTC, Mike FABIAN
no flags Details
File: limits (1.29 KB, text/plain)
2017-01-31 07:23 UTC, Mike FABIAN
no flags Details
File: maps (37.25 KB, text/plain)
2017-01-31 07:23 UTC, Mike FABIAN
no flags Details
File: mountinfo (3.55 KB, text/plain)
2017-01-31 07:23 UTC, Mike FABIAN
no flags Details
File: namespaces (102 bytes, text/plain)
2017-01-31 07:23 UTC, Mike FABIAN
no flags Details
File: open_fds (1.09 KB, text/plain)
2017-01-31 07:23 UTC, Mike FABIAN
no flags Details
File: proc_pid_status (1.11 KB, text/plain)
2017-01-31 07:23 UTC, Mike FABIAN
no flags Details
File: var_log_messages (330 bytes, text/plain)
2017-01-31 07:23 UTC, Mike FABIAN
no flags Details

Description Mike FABIAN 2017-01-31 07:23:28 UTC
Version-Release number of selected component:
ibus-1.5.14-5.fc25

Additional info:
reporter:       libreport-2.8.0
backtrace_rating: 4
cmdline:        /usr/libexec/ibus-ui-gtk3
crash_function: XkbUseExtension
executable:     /usr/libexec/ibus-ui-gtk3
global_pid:     2072
kernel:         4.8.8-300.fc25.x86_64
pkg_fingerprint: 4089 D8F2 FDB1 9C98
pkg_vendor:     Fedora Project
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 XkbUseExtension at XKBUse.c:652
 #1 _XkbLoadDpy at XKBBind.c:513
 #2 XKeysymToKeycode at XKBBind.c:157
 #3 keybinding_manager_bind at keybindingmanager.c:210
 #4 panel_keybinding_manager_bind at panel.c:1366
 #5 panel_bind_switch_shortcut at panel.c:1430
 #6 panel_construct at panel.c:746
 #7 application_bus_name_acquired_cb at application.c:220
 #8 _application_bus_name_acquired_cb_gd_bus_signal_callback at application.c:166
 #9 emit_signal_instance_in_idle_cb at gdbusconnection.c:3705

Potential duplicate: bug 1249327

Comment 1 Mike FABIAN 2017-01-31 07:23:36 UTC
Created attachment 1246093 [details]
File: backtrace

Comment 2 Mike FABIAN 2017-01-31 07:23:37 UTC
Created attachment 1246094 [details]
File: cgroup

Comment 3 Mike FABIAN 2017-01-31 07:23:39 UTC
Created attachment 1246095 [details]
File: core_backtrace

Comment 4 Mike FABIAN 2017-01-31 07:23:41 UTC
Created attachment 1246096 [details]
File: dso_list

Comment 5 Mike FABIAN 2017-01-31 07:23:43 UTC
Created attachment 1246097 [details]
File: environ

Comment 6 Mike FABIAN 2017-01-31 07:23:44 UTC
Created attachment 1246098 [details]
File: exploitable

Comment 7 Mike FABIAN 2017-01-31 07:23:46 UTC
Created attachment 1246099 [details]
File: limits

Comment 8 Mike FABIAN 2017-01-31 07:23:48 UTC
Created attachment 1246100 [details]
File: maps

Comment 9 Mike FABIAN 2017-01-31 07:23:49 UTC
Created attachment 1246101 [details]
File: mountinfo

Comment 10 Mike FABIAN 2017-01-31 07:23:51 UTC
Created attachment 1246102 [details]
File: namespaces

Comment 11 Mike FABIAN 2017-01-31 07:23:53 UTC
Created attachment 1246103 [details]
File: open_fds

Comment 12 Mike FABIAN 2017-01-31 07:23:54 UTC
Created attachment 1246104 [details]
File: proc_pid_status

Comment 13 Mike FABIAN 2017-01-31 07:23:56 UTC
Created attachment 1246105 [details]
File: var_log_messages

Comment 14 fujiwara 2017-02-13 03:10:17 UTC
I cannot reproduce your backtrace.

(In reply to Mike FABIAN from comment #1)
> Created attachment 1246093 [details]
> File: backtrace

#0  XkbUseExtension (dpy=dpy@entry=0x55af70d4e100, major_rtrn=major_rtrn@entry=0x0, minor_rtrn=minor_rtrn@entry=0x0) at XKBUse.c:652
#1  0x00007fc60ba347d6 in _XkbLoadDpy (dpy=0x55af70d4e100) at XKBBind.c:513
#2  0x00007fc60ba35060 in XKeysymToKeycode (dpy=0x55af70d4e100, ks=ks@entry=32) at XKBBind.c:157
#3  0x000055af6fde22a8 in keybinding_manager_bind (self=self@entry=0x55af70e42b90, keysym=keysym@entry=32, modifiers=GDK_MOD4_MASK, handler=handler@entry=0x55af6fde70c0 <___lambda38__keybinding_manager_keybinding_handler_func>, handler_target=handler_target@entry=0x55af70d51480) at keybindingmanager.c:210
#4  0x000055af6fde55e8 in panel_keybinding_manager_bind (accelerator=0x55af70e527e0 "<Super>space", keybinding_manager=0x55af70e42b90, self=0x55af70d51480) at panel.c:1366
#5  panel_bind_switch_shortcut (self=self@entry=0x55af70d51480) at panel.c:1430
#6  0x000055af6fde827c in panel_construct (object_type=<optimized out>, bus=<optimized out>) at panel.c:746
#7  0x000055af6fdd9775 in application_bus_name_acquired_cb (parameters=<optimized out>, signal_name=<optimized out>, interface_name=<optimized out>, object_path=<optimized out>, sender_name=<optimized out>, connection=<optimized out>, self=0x55af70d3ea10) at application.c:220
#8  _application_bus_name_acquired_cb_gd_bus_signal_callback (connection=<optimized out>, sender_name=<optimized out>, object_path=<optimized out>, interface_name=<optimized out>, signal_name=<optimized out>, parameters=<optimized out>, self=0x55af70d3ea10) at application.c:166
#9  0x00007fc60ae25984 in emit_signal_instance_in_idle_cb (data=data@entry=0x7fc5f0004240) at gdbusconnection.c:3705
#10 0x00007fc60a8518e7 in g_idle_dispatch (source=0x7fc5f0002f30, callback=0x7fc60ae25910 <emit_signal_instance_in_idle_cb>, user_data=0x7fc5f0004240) at gmain.c:5545

Comment 15 fujiwara 2017-08-17 03:21:45 UTC

*** This bug has been marked as a duplicate of bug 1446816 ***


Note You need to log in before you can comment on or make changes to this bug.